Name:           perl-Log-Dispatch-Configurator-Any
Version:        1.110690
Release:        5%{?dist}
Summary:        Configurator implementation with Config::Any
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Log-Dispatch-Configurator-Any/
Source0:        http://www.cpan.org/authors/id/O/OL/OLIVER/Log-Dispatch-Configurator-Any-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(Carp)
BuildRequires:  perl(Config::Any) >= 0.15
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Log::Dispatch) >= 2.23
BuildRequires:  perl(Log::Dispatch::Config)
BuildRequires:  perl(Log::Dispatch::Configurator)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(YAML::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Config::Any) >= 0.15
Requires:       perl(Log::Dispatch) >= 2.23

%description
Log::Dispatch::Config is a wrapper for Log::Dispatch and provides a way to
configure Log::Dispatch objects with configuration files. Somewhat like a lite
version of log4j and Log::Log4perl it allows multiple log destinations. The
standard configuration file format for Log::Dispatch::Config is AppConfig.

%prep
%setup -q -n Log-Dispatch-Configurator-Any-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes examples LICENSE META.json script
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 03 2012 Simone Caronni <negativo17@gmail.com> 1.110690-5
- Added perl module compat, removed Carp and Log::Dispatch::Configurator from Requires.

* Mon Sep 03 2012 Simone Caronni <negativo17@gmail.com> 1.110690-4
- Removed EPEL 5 stuff.

* Mon Sep 03 2012 Simone Caronni <negativo17@gmail.com> 1.110690-3
- Added per-Test-Pod BRs.

* Mon Sep 03 2012 Simone Caronni <negativo17@gmail.com> 1.110690-2
- Specfile regenerated with cpanspec 1.78 to fix most of the review errors.
- README removed from docs.

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 1.110690-1
- First build.
